
TYPO3.Flow - Feature # 2819

Status: Resolved Priority: Must have
Author: Robert Lemke Category: MVC
Created: 2009-03-10 Assigned To: Karsten Dambekalns
Updated: 2010-10-20 Due date:
PHP Version:
Has patch:
Complexity:
Subject: View Helper "Flash Message"
Description

Provide a view helper which allows for handling "flash messages", i.e. a short message / chunk of HTML which transports information
from one action to another.

Example: the createAction() successfully creates a Thing and submits the message "Successfully created Thing." to the view helper.
Then a redirect to the indexAction() is carried out. The index view contains an area which displays a flash message, if any. In this case
there's one: "Sucessfully created Thing.".

Related issues:
duplicated by TYPO3.Fluid - Feature # 3297: flash message Closed 2009-05-14

Associated revisions
Revision d4a8bf81 - 2009-05-21 22:27 - Karsten Dambekalns
FLOW3:
    -  added flash message handling to AbstractController and ActionController, resolves #2819
Blog:
    -  removed preliminary flash message handling, replaced by solution for #2819

History
#1 - 2009-03-28 16:13 - Sebastian Kurfuerst

What do you think of introducing a new method on the TemplateView:
$this->view->flash(... HTML STRING ...); ?

Greets,
Sebastian

#2 - 2009-05-19 12:29 - Robert Lemke
- Status changed from New to Accepted
- Assigned To set to Robert Lemke

#3 - 2009-05-20 17:38 - Robert Lemke
- Assigned To changed from Robert Lemke to Karsten Dambekalns
- % Done changed from 0 to 10

#4 - 2009-05-20 23:21 - Karsten Dambekalns
- % Done changed from 10 to 80
Done, needs better tests before commit.

#5 - 2009-05-21 23:00 - Karsten Dambekalns
- Status changed from Accepted to Resolved
- % Done changed from 80 to 100

Applied in changeset r2334.
